#ifndef ITEMMANAGER_H
#define ITEMMANAGER_H

#include "qcustomplot.h"

namespace ItemManager {
const QString OriginStr("origin");
const QString ConfirmStr("confirm");
const QString TemporaryStr("temporary");

const QString Separator("___");

extern QVector<QCPItemText*> _QCPItemTextVtr;
extern QVector<QCPItemLine*> _QCPItemLineVtr;
extern QVector<QCPGraph*> _QCPGraphVtr;

void addTemporaryQCPItemText(QCPItemText*,const QString objectName);
void addTemporaryQCPItemLine(QCPItemLine*,const QString objectName);
void addTemporaryQCPGraph(QCPGraph*,const QString objectName);

void removeItem(QObject* obj);
void removeItemsByObjectName(const QString objectName);

void confirm();
void objectNameModifyConfirm(QObject* obj);


}

#endif // ITEMMANAGER_H
